org.eclipse.jetty.plus.jaas.spi

## Class AbstractLoginModule.JAASUserInfo

- java.lang.Object
- - org.eclipse.jetty.plus.jaas.spi.AbstractLoginModule.JAASUserInfo

Enclosing class:
  AbstractLoginModule

    public class AbstractLoginModule.JAASUserInfo
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`AbstractLoginModule.JAASUserInfo(UserInfo u)`

### Method Summary

Methods
`boolean` `checkCredential(Object suppliedCredential)`
`Principal` `getPrincipal()`
`String` `getUserName()`
`void` `setJAASInfo(Subject subject)`
`void` `setUserInfo(UserInfo u)`
`void` `unsetJAASInfo(Subject subject)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractLoginModule.JAASUserInfo

    public AbstractLoginModule.JAASUserInfo(UserInfo u)

### Method Detail

#### getUserName

    public String getUserName()

#### getPrincipal

    public Principal getPrincipal()

#### setUserInfo

    public void setUserInfo(UserInfo u)

#### setJAASInfo

    public void setJAASInfo(Subject subject)

#### unsetJAASInfo

    public void unsetJAASInfo(Subject subject)

#### checkCredential

    public boolean checkCredential(Object suppliedCredential)